@echo off

:: Script that appends a string to the job name
:: Hans Sep, January 14th 2016

:: User Defined Arguments
:: Note to self: get drive from jobflow job
set WorkflowFolder=%~d3\SmartFolders\%~1
set AppendText=%~2

:: JobFlow Arguments
:: Note to self: user defined arguments come first!
set INPUT=%~3
set JOBNAME=%~n4
set WORKFLOW=%~5

:: Static arguments
set BaseScriptPath=%~dp0
set LOG=%BaseScriptPath%\%~n0.log
set EXT=%~x3

:: Check User Arguments 
if not exist "%WorkflowFolder%" (
  echo %DATE% %TIME% [ERROR] %WorkflowFolder% does not exist. Exit script.>>%LOG%
  goto :EOF
)

::Main
echo %DATE% %TIME% [INFO] Start append %AppendText% file name %INPUT% and send to %WorkflowFolder% >>%LOG%
call :append
echo %DATE% %TIME% [INFO] Done. Hasta la pasta.>>%LOG%
goto :EOF

:append
copy /Y "%INPUT%" "%WorkflowFolder%\%JOBNAME%-%AppendText%%EXT%"